var article_class={
		categoryData:null,
		/**
		 *获取文章分类数据
		 */
		getCategory:function(callback){
			if(article_class.categoryData){
				callback(article_class.categoryData);
			}else{
				rpcJSON('/app/article/Apirpc/categoryList',{"children":1,"thereIcon":0},function(backData){
					 if(backData&&backData.length){
						 article_class.categoryData=backData;
					 };
					 callback(backData);
				 },function(msg){
					 Tips('error',msg||'出错啦');
				 });
			}
		},
		/*
		 *选择文章
		 */
		selectArticle:function (count,onSelected){
			 if(!count){
				count=0; 
			 };
			 if(typeof count=='function'){
				 onSelected=count;
			 };
			 if(typeof onSelected!='function'){
				return; 
			 };
			 var el=$('<div><div style="line-height:36px;padding-left:10px;" id="tableHead">'+
						  '<span class="tableToolBar" role="category">'+
						  '<a class="tableToolBtn" href="javascript:;"><span class="title">选择分类</span></a>'+
						  '<div role="categoryList" class="tableToolList categoryList" data-stoppropagation="1"></div>'+
						  '</span>'+
						  '<span class="search1" style="margin-left:30px;">'+
						  '</span>'+
						  '</div>'+
						  '<ul class="relationMain" role="relationMain"></ul><div class="tac pt15" role="loadMore" style="display:none;"><a href="javascript:;" class="button b1" >加载更多</a></div></div>');
			   var container=$('ul[role="relationMain"]',el),
				   loadMore=$('div[role="loadMore"]',el);
			   
			   top.ConfirmDialog('选择文章',el,{
						   height:500,
						   scroll:true,
						   onBeforeConfirm:function(fn){
								var checks=getAllCheck(container);
							   if(!checks.value.length){
								   Tips('error','请选择文章');
							   }else{
								  var values=[];
								  $.each(checks.items,function(){
									   values.push({
										  id:$(this).val(),
										  name:$(this).parents('li:first').data('data').title
									   });
								  });
								  onSelected(values);
								  fn(); 
							   }
						   },
						   onConfirm:function(){
							  
						   }
				  });
			  
			   
			  var page=1,
				  size=10,
				  category='',
				  keyword='',
				  getArticleList=function(){
					  requestData={
						  page:page,
						  category:category,
						  size:size,
						  keyword:keyword,
						  params:'title,id'
					  };
					  if(page==1){
						  container.empty();
					  };
					  var loadingBox=$(getContentLoading()).appendTo(container);
					  loadMore.hide();
					  rpcJSON('/app/article/Apirpc/articleList',requestData,function(backData){
						  loadingBox.remove();
						  if(backData.data&&backData.data.length){
							  $.each(backData.data,function(i,item){
								  var li=$('<li data-id="'+ item.id +'" class="selectItem">'+
										  '<label class="setRow selectLink">'+
											  '<div class="setRowL"><div class="hookLabel"><input type="checkbox" value="'+item.id+'"><span class="hookBox"><i class="xzicon-yes hook"></i></span></div><span class="name">'+ item.title +'</span></div>'+
										  '</label>'+
									  '</li>');
								  li.data('data',item).appendTo(container);	
							  });
								  
						  }else{
							  if(!container.children().length){
								  container.append('<div class="noData">暂无数据</div>');
							  }
						  };
						  if(backData.count){
							  var pageCount=Math.ceil(backData.count/size);
							  if(pageCount>page){
								  loadMore.show();
							  }
						  };
						  
					  },function(msg){
						  loadingBox.remove();
						  Tips('error',msg);
					  });
				  };
			  
				  getArticleList();
				  
				  
				  //筛选分类
				  var categoryList=$('div[role="categoryList"]',el),
					  fn=function(backData){
						  var sData=backData.slice(0);
						  sData.unshift({name:'全部分类',id:''});
						  categoryList.setSelectList({
							  icon:false,
							  data:sData,
							  selectbox:false,
							  onSelected:function(data,id,name){
								  if(category!=id[0]){
									  category=id[0];
									  page=1;
									  getArticleList();
									  $('span[role="category"] .tableToolBtn .title',el).text(name);
									  $('span[role="category"]',el).hideDropContainer();
								  };
							  }
						  });
					  };
				  
				  article_class.getCategory(fn);
				  
				  
			  $('span.search1',el).setSearchBox(function(value){
				  keyword=value;
				  page=1;
				  getArticleList();
			  });	
			  
			  //设置下拉框
			  $('.tableToolBar',el).setDropContainer();
			  
			  loadMore.on(click,function(){
				  page++;
				  getArticleList();
			  });
			  
			  //判断选择
			  container.delegate(':input[type="checkbox"]',click,function(){
				  if(count==1){
					  $(this).parents('li:first').siblings().find(':input[type="checkbox"]').prop('checked',false);
				  }else if(count>1){
					  var checks=getAllCheck(container);
					  if(checks.value.length>count){
						 $(this).prop('checked',false);
						 Tips('error','最多可选择'+count+'项');
					  }
				  }
			  });
							
		}
	 
};
