/*
 *响站消息系统
 */

var siteId,
	newMsg=0,
	userId=$.cookie('xzUid'),
	isLogin=false,
	conn=false,
	delayDisconnectTime=10*60*1,//连接断开时间
	delayDisconnect,
	isOpenWindow=this==top,
	myData={
			  userId:userId
		  };

if(!userId){
	window.location.href='http://'+domain;
};

if(appSys=='web'){
	socket = io('http://im.'+domain);
}else{
	if(!window.xzApp){
		xzApp={};
	};
	var socketAction={};
	xzApp.socket=function(data,callback){
		if(data.action&&socketAction[data.action]){
			socketAction[data.action](data.data,callback);
		};
	};
	socket={
		on:function(action,callback){
			socketAction[action]=function(data,back){
				callback(data,back);
			};
		},
		emit:function(action,data,callback){
			if(typeof webViewCall=='function'){
				webViewCall('socketEmit',{action:action,data:data},callback);
			};
		}
	};
	
	//设置通知已读
	xzApp.readNotice=function(data){
		var num,
			chatLi=$('#chat_'+data.appId);
		if(data.id){
			num=1;
			delete data.appId;
		}else{
			num=chatLi.find('span[role="news"]').data('num');
		};
		if(num>0){
			newMessage(chatLi,-num);
			rpcJSON('/message/readNotice',data);
		};
	};
	
	//设置会话消息已读
	xzApp.readMessage=function(data){
		var chatLi=$('#chat_'+data.customId),
			num=chatLi.find('span[role="news"]').data('num');
		if(num>0){
			newMessage(chatLi,-num);
			rpcJSON('/message/readMessage',data);
		};
	};
};

//连接socket服务器
socket.on('connect', function (data) {
	 
	  
	  myData.talkKey=getNowRandom();
	  socket.emit('userLogin',myData,function(backData){
		 
		  if(!objectLength(backData)){
			  isLogin=true;
			  
			  //读取用户消息
			  getUserMsg();
			  
			  top.socketSite=openSite;
						  
			  var sid=$.cookie('xzSiteId');
			  if(sid){
				  openSite(sid,'connect');
			  };	
		  };
	  }); 	
});

//重新连接服务器
socket.on('reconnect', function() {
	  // notice('重新连接');
	 
	
});

//接收消息
socket.on('message', function (data) {
	insertChat(data);	
});

//断开连接
socket.on('disconnect', function (backData) {
	
	/*delayDisconnect=setTimeout(function(){
		conn=false;
	},delayDisconnectTime);*/
});

//接受本人在其他会话窗口设置的状态
socket.on('setState', function (data) {
	   setState(data.state);
});

/**
 *读取用户消息
 */
function getUserMsg(){
	showMessageBox();
	rpcJSON('/message/getUserMsg','',function(msgData){
		createChatList(msgData,true);
	});
};

/**
 *读取站点消息
 */
function getSiteMsg(){
	rpcJSON('/message/getSiteMsg','',function(msgData){
		createChatList(msgData,true);
	});
};
 
//打开站点
function openSite(id,flag){
	if(id!=siteId){
		
		//清除站点相关消息
		clearChat();
		
		//读取站点信息
		getSiteMsg();
		
		myData.siteId=id;
			
		//向服务器发送打开站点通知	
		socket.emit('openSite',{siteId:id},function(backData){
			 siteId=id;
			 //请求客服数据
			rpcJSON('/site/getServiceInfo',{siteId:siteId,userId:userId},function(backData){
				//如果是客服，登录客服坐席
				if(backData){
					myData=$.extend(true,myData,backData);
					servicesLogin();
					if(backData.icon){
						setFace(backData.icon);
					};
				};
				
			});
			
		}); 
	}else if(flag){
		//读取站点信息
		getSiteMsg();
		
		//向服务器发送打开站点通知	
		socket.emit('openSite',{siteId:id},function(backData){
			if(myData.nickName){
				servicesLogin();
			}
		});
	};
};

//登录客服
function servicesLogin(){
	
	if(typeof xzServices=='undefined'){
		getScripts([xzServicesJS],function(){
			servicesLogin(myData);
		});
		return;
	};
	xzServices(myData);
	chatNav.addClass('services');
};

//设置头像
function setFace(src){
	if($('#faceImg').data('src')!=src){
		$('#faceImg').data('src',src).setThumbImageView();
	};
};

//获取头像
function getThumbIcon(icon){
	var html='';
	if(icon){
		html='<img src="'+getCropImageView(icon,40,40)+'" />';
	};
	return html;
};


//设置新消息数字
function newMessage(el,num){	
	newMsg+=num;
	if(newMsg<0){
		newMsg=0;
	};
	newTopMessage(newMsg,num>0?true:false);
	
	//设置选项卡消息提示
	var role=el.parents('div.chatMain:first').attr('role'),
		pel=$('#messageTab li[role="'+role+'"] span[role="message"]');
		
	setNewTips(pel,num);		
	
	
	//设置当前项目消息提示
	var nel=el.find('span[role="news"]');
	setNewTips(nel,num);	
		
};

/**
 *设置选项卡新消息数字
 */

function setNewTips(el,num){
	if(!el.length)return;
	var num=(el.data('num')||0)+num,
		pel=el.find('i');
	
	if(num<0){
		num=0;
	};
	el.data('num',num);
	if(num<1){
		el.hide();
	}else{
		el.show();
	};
	if(!pel.length){
		pel=el;
	};
	pel.text(num>99?'99+':num<1?'':num);
	
};


var messageTab=$('#messageTab'),
	chatList=$('#chatList'),
	noticeList=$('#noticeList'),
    chatContainer=$('#chatContainer'),
	chatNav=$('#chatNav');

/**
 *创建会话列表
 */
function createChatList(msgData,update){
	if(msgData&&msgData.length){
		$.each(msgData,function(i,item){
			insertChat(item,update);
		});
	}
};

/**
 *插入会话信息
 {
		name:'订单',
		id:'shop',
		type:'app',//system：系统消息,app：应用通知,	chat：'聊天' ,
		icon:'asdasd.png',
		news:5,
		latest:{
			time:'2015-01-11 12:09',
			msg:'购买了xxxxx'
		}		 
	 }
 */
function insertChat(data,update){
	 var chatLi=$('#chat_'+data.id);
	
	 //如果会话已经存在
	 if(chatLi.length){
		
		if(!data.latest){
			return;
		}
				
		var detailBox=$('#chatDetail_'+data.id),
			pushMsg=!detailBox.length,
			latestId=chatLi.data('latestId');
	   	
		//如果是重连更新
		if(update){
			var num=chatLi.find('span[role="news"]').data('num');
			
			//如果新数据大于未读数据
			if(data.latest.id!=latestId){
				
				data.news=data.news-num;
				
				//更新会话顺序
				resetChat(data,pushMsg,update);
				
				//如果容器已经存在,获取新的消息插入到容器中。
				if(!pushMsg){
					getNewMsgList(data,latestId,function(cdata){
						if(data.type=='chat'){
							insertChatMessage(detailBox.find('div.chatDetailMain'),cdata,true);
						}else{
							insertMessage(detailBox.find('div.chatDetailMain ul'),cdata,true);
						};
					});
				};
				
				
			};
			return;
		 }; 
		 
		
		//更新会话顺序
		resetChat(data,pushMsg,update);
		
		//如果容器已经存在，则插入数据
		if(!pushMsg){
			insertMessage(detailBox.find('div.chatDetailMain ul'),[data.latest],true);
		};
		
	    return;  
	 };
	 if(data.latest){
		 data.list=[data.latest];
	 }else{
		 data.list=[];
	 };
	 if(!data.latest){
		 data.latest={
		 	id:0
		 };
	 };
	 
	 var html='<li class="chatListItem '+(data.online?'online':data.type=='chat'?'offline':'')+'" data-id="'+data.id+'" id="chat_'+data.id+'" type='+data.type+'>'+
			  '<a href="javascript:;" class="chatListBar setRow picRow">'+
				  '<div class="setRowPic">'+getThumbIcon(data.icon)+'</div>'+
				  '<div class="setRowMain chatListMain">'+
					  '<div class="setRowTop clearfix">'+
						  '<p class="fr time" role="time">'+(data.latest.time?data.latest.time:'')+'</p>'+
						  '<p class="name">'+data.name+'</p>'+
					  '</div>'+
					  '<div class="setRowBtm clearfix">'+
						  '<span class="fr num" role="news" data-num="0" style="display:none;"></span>'+
						  '<p class="role" role="message">'+msgToText(data.latest.msg)+'</p>'+
					  '</div>'+
				  '</div>'+
				 /* '<span class="chatListDelete">删除</span>'+*/
			  '</a>'+
		  '</li>';	  
	  
	var li=$(html),
		conteinerEl=data.type=='chat'?chatList:noticeList;
	  
	li.find('p[role="time"]').dateDiff();
		
	li.data({
		data:data,
		latestId:data.latest.id
		});
	if(data.news){
		
		li.prependTo(conteinerEl); 
		newMessage(li,data.news);  
	}else{
		var visibleEl=conteinerEl.find('span[role="news"]:visible').length?conteinerEl.find('span[role="news"]:visible:last').parents('li.chatListItem:first'):'';
		if(visibleEl){
			li.insertAfter(visibleEl); 
		}else{
			li.prependTo(conteinerEl); 
		}
	};
};

//更新会话列表
function resetChat(data,pushMsg,update){
  var chatLi=$('#chat_'+data.id);
   if(chatLi.length){
	   chatLi.find('p[role="message"]').text(msgToText(data.latest.msg));
	   chatLi.find('p[role="time"]').data('time',data.latest.time).dateDiff();
	  
	  //如果有新的消息，更新提示数字
	  newMessage(chatLi,data.news);
	  
	  //如果有未读消息，或者新接收的消息，更新会话顺序
	  chatLi.prependTo(chatLi.parent());
		  
	  //如果需要缓存消息
	  if(pushMsg){
		  var  elData=chatLi.data('data');
		  if(update){
			  getNewMsgList(data,chatLi.data('latestId'),function(cdata){
				  $.merge(elData.list,cdata);
				  chatLi.data('data',elData);
			  });
		  }else{
			   elData.list.push(data.latest);
			   chatLi.data('data',elData);
		  };
	  };
	  
	  chatLi.data('latestId',data.latest.id);
	  
   }; 
   
};

/**
 *获取重连后新的数据
 */
function getNewMsgList(data,latestId,callback){
	
	var rUrl,
		rdata;
	
	if(data.type=='chat'){
		rUrl='/message/getChatRecord';
		rdata={
				siteId:myData.siteId,
				serviceId:myData.userId,
				customId:data.id,
				count:20,
				latestId:latestId
			};
	}else{
		rUrl=data.type=='system'?'/message/getUserMsgDetail':'/message/getSiteMsgDetail';
		rdata={
			latestId:latestId,
			id:data.id,
			type:data.type,
			count:20
			};
	};
	rpcJSON(rUrl,rdata,function(backData){
			if(backData.items&&backData.items.length){
				  callback(backData.items);
				  if(!backData.lastone){
					  getNewMsgList(data,backData.items[backData.items.length-1].id,callback);
				  };
			 };
	});
	
};

/**
 *清除会话列表
 */
function clearChat(){
	chatNav.removeClass('services');
	
	var num=0,
		nNum=0,
		cNum=0;
	
	//清除队列信息	
	var mel=$('#messageTab li[role="queue"] span[role="message"]');
	num=mel.data('num')||0;
	mel.data('num',0).hide().find('i').text('0');
	$('#queueList >div').hide().find('>ul').empty();
	
	//清除访客列表
	$('#visitorsList').removeData('ready').find('ul').empty();	
	
	$('li.chatListItem:not([type="system"])',chatNav).each(function(){
		var vNum=$(this).find('span[role="news"]').data('num');
		num+=vNum;
		if($(this).attr('type')!='chat'){
			nNum+=vNum;
		}else{
			cNum+=vNum;
		};
		$(this).remove();
	});
	//更新总消息
	newMsg-=num;
	newTopMessage(newMsg);
	//更新选项卡消息
	setNewTips($('#messageTab li[role="notice"] span[role="message"]'),-nNum);
	setNewTips($('#messageTab li[role="chat"] span[role="message"]'),-cNum);
	$('>div.chatDetail:not([type="system"])',chatContainer).remove();
	$('>li:first',messageTab).trigger(click);
	
};

//创建消息详情列表
function createChatDetail(data){
	var html='<div class="chatDetailHead chatHead">'+
				  '<a class="return" href="javascript:;" role="back"><i class="xzicon-arrow-l"></i></a>'+
				  '<p class="title">'+data.name+'</p>'+
				  '<span class="rightBtn" role="tools">'+
					'<a href="javascript:;"><i class="xzicon-more"></i></a>'+
					'<span class="menuList">'+
						'<a href="javascript:;" class="menuItem" role="all">全部消息</a>'+
						'<a href="javascript:;" class="menuItem" role="unread">未读消息</a>'+
						'<a href="javascript:;" class="menuItem" role="mark">全部标为已读</a>'+
						'<a href="javascript:;" class="menuItem" role="removeAll">清空全部消息</a>'+
						'<a href="javascript:;" class="menuItem" role="edit">编辑</a>'+
					'</span>'+
				'</span>'+
			  '</div>'+
			  '<div class="chatDetailMain"><ul></ul></div>';
	  
	  var talkBox=$('<div class="chatDetail" role="chatDetail" id="chatDetail_'+data.id+'" type="'+data.type+'">'+html+'</div>'),
	  	  chatLi=$('#chat_'+data.id),
		  container=talkBox.find('div.chatDetailMain'),
		  insertTools=function(el){
			  if(!$('>div.noticeItemTools',el).length){
				  var unread=$('span[role="unread"]',el).length;
				  var noticeItemTools=$('<div class="noticeItemTools "><a class="button b2 small" href="javascript:;" role="del">删除</a></div>').appendTo(el);
				  if(unread){
					  $('<a class="button b2 small" href="javascript:;" role="read">标记已读</a>').prependTo(noticeItemTools);
				  };
				  
			  };
		  },
		  removeTools=function(el){
			  if($('>div.noticeItemTools',el).length){
				 $('>div.noticeItemTools',el).remove();
			  };
		  },
		  readNotice=function(el,read){
			  
			   //将消息设为已读
			   if(!read){
				  rpcJSON('/message/readNotice',{
						id:el.data('id'),
						type:data.type
					  });
			   };
			  
			  newMessage(chatLi,-1);
			 el.find('a[role="read"]').addClass('disabled'); 
			 el.find('span[role="unread"]').remove();
		  };
	  
	  talkBox.data('data',data).appendTo(chatContainer);
	  
	  talkBox.delegate('li.noticeItem',click,function(e){
		  e.stopPropagation();
		  
		  if(container.hasClass('editable')){
			  return;
		  };
		 
		  //打开连接窗口
		  xzHref($(this).data('url'),'new',data.name);
		  
		  readNotice($(this));
		  		  
		  if(appSys=='web'){
		 	 miniMessageWindow();
		  };
	  })
	 .delegate('span.rightBtn',click,function(){
		  $(this).find('span.menuList').toggleClass('show');
	  })
	  .delegate('a.menuItem',click,function(){
		  
		  switch($(this).attr('role')){
			  case 'all':
			  	talkBox.removeData('state');
				container.find('>ul').empty().removeData('lastone');
				container.removeData('lastone');
			 	fireHandler(container.data('reload'));
			  break;
			  
			  case 'unread':
			  	talkBox.data('state',2);
				container.find('>ul').empty().removeData('lastone');
				container.removeData('lastone');
			  	fireHandler(container.data('reload'));
			  break;
			  
			  case 'mark':
			  	rpcJSON('/message/readNotice',{
					type:data.type,
					appId:data.id
				},function(backData){
					var num=chatLi.find('span[role="news"]').data('num');
					newMessage(chatLi,-num);
			        container.find('span[role="unread"]').remove();
					container.find('a[role="read"]').addClass('disabled');
				});
			  break;
			  
			  case 'removeAll':
			  	rpcJSON('/message/delNotice',{
					type:data.type,
					appId:data.id
				},function(backData){
					var num=chatLi.find('span[role="news"]').data('num');
					newMessage(chatLi,-num);
			        container.find('span[role="unread"]').remove();
					$('li.noticeItem',talkBox).hideRemove();
				});
			  break;
			  
			  case 'edit':
			    container.addClass('editable');
				var tools=$('span[role="tools"]',talkBox);
				tools.hide();
				$('<span class="rightBtn" style="width:54px;"><a role="cancel" href="javascript:;" class="menuItem">取消</a></span>').insertAfter(tools);
			  break;
			  
			  case 'cancel':
			    container.removeClass('editable');
				var tools=$('span[role="tools"]',talkBox);
				tools.show().next().remove();
			  break;
			  
		  };
	  }).delegate('li.noticeItem a[role]',click,function(e){
		  e.stopPropagation();
		  var el=$(this).parents('li.noticeItem:first');
		  switch($(this).attr('role')){
			 case 'read':
			 	if($('span[role="unread"]',el).length){
					readNotice(el);
				};
				$('>div.noticeBar',el).trigger(click);
			 break; 
			 
			 case 'del':
			     
				rpcJSON('/message/delNotice',{
					id:el.data('id'),
					type:data.type
				},function(){
					if($('span[role="unread"]',el).length){
						readNotice(el,true);
					};
					el.hideRemove();
				});
			 break; 
		  }
	  });
	  
	  return talkBox;
};

//插入消息记录
function insertMessage(el,data,news){
	if(data&&data.length){
		var last=false;
		$.each(data,function(i,item){
			
			var $li=$('<li class="noticeItem" data-id="'+item.id+'" data-url="'+item.url+'" data-lastone="'+(item.lastone||0)+'">'+
					'<div class="noticeBar">'+
						'<div class="noticeInfo">'+
							(item.title?'<p class="title">'+item.title+'</p>':'')+
							'<time class="time" data-time="'+item.time+'">'+item.time+'</time>'+
						'</div>'+
						'<div class="noticeContent">'+item.msg+'</div>'+
						'<a href="javascript:;" class="noticeFoot clearfix">'+
						(item.read?'':'<span role="unread">未读</span>')+
						'查看详情<i class="xzicon-arrow-r fr"></i></a>'+
					'</div>'+
					'<div class="noticeItemBgTools">'+
					('<a class="button b1 largel '+(item.read?'disabled':'')+'" href="javascript:;" role="read">标为已读</a>')+
					'<a class="button b2 largel" href="javascript:;" role="del">删除</a></div>'+
				'</li>');
			if(news){	
				$li.prependTo(el);	
			}else{
				$li.appendTo(el);	
			};
			var dragEl=$li.find('>div.noticeBar');
			dragEl.dragSlideLeft({
				distance:220
				});
		});	  
	};
	
};

//消息转文字
function msgToText(msg){
	if(!msg){
		return '';
	};
	msg=msg.toString();
	$.each(msg.split('<br/>'),function(i,item){
		if(item!=''){
			msg=item;
			return;
		};
	});
	msg=fileToMsg(msg);
	return msg;
};

/**
 *窗口推进
 */

function popWindow(w){	
	
	var mask=$('<div id="popMask" class="mask" style="opacity:1;z-index:'+getTopIndex()+'"></div>').insertBefore(w).fadeIn();
	w.addClass('show').css({
		left:'100%',
		zIndex:getTopIndex()
	  }).animate({left:0},'normal','easeOut',function(){
		mask.remove();  
	  });
	
};

/**
 *窗口推出
 */
function backWindow(w){
	var mask=$('<div id="popMask" class="mask" style="opacity:1;z-index:'+w.css('z-index')+'"></div>').insertBefore(w).show();
		mask.fadeOut(function(){
			mask.remove();
		});
	w.animate({left:'100%'},'normal','easeOut',function(){
		if(appSys=='web'){
			w.removeClass('show').removeAttr('style');
		}else{
			w.remove();
		};
	});
	
};
/**
 *设置消息列表点击事件
 */
$('div.chatMain[role="notice"]',chatNav).delegate('li:not(.active)',click,function(e){
   e.stopPropagation();
   var $li=$(this),
   	   type=$li.attr('type'),
	   data=$li.data('data'),
	   id=$li.data('id');

  if(isOpenWindow){
	  var src=msgListUrl+'?id='+id+'&type='+type+'&name='+data.name;
	  xzHref(src,'new',data.name);
	  return;
  };
	   
   var chatDetail=$('#chatDetail_'+id),
	   newBox=!chatDetail.length;
 
  if(newBox){
	   chatDetail=createChatDetail(data);
  };
  if(isPhoneState){
	  popWindow(chatDetail);
  }else{
	  chatDetail.addClass('show').siblings('div.chatDetail').removeClass('show');
  };
  
  $('div.chatList li.active').removeClass('active');
  $li.addClass('active');
  
 if(data.list.length){
	  	  insertMessage(chatDetail.find('div.chatDetailMain ul'),data.list,true);
		  data.list=[];
		  $li.data('data',data);
	  };
	  
 if(newBox){
  //设置滚屏自动加载
  
  var  rUrl=data.type=='system'?'/message/getUserMsgDetail':'/message/getSiteMsgDetail',
	   el=chatDetail.find('div.chatDetailMain ul');
  el.parent().scrollLoad({
		data:{
				id:data.id,
				type:data.type,
			},
		load:function(ldata,callback,onError){
			ldata.state=chatDetail.data('state')||0;
			rpcJSON(rUrl,ldata,function(backData){
				  if(backData.items&&backData.items.length){
					  insertMessage(el,backData.items);
				  }else{
					  el.children(':last').data('lastone',1);
					  el.data('lastone',1);
					  el.parent().data('lastone',1);
				  };
				  callback();
			  },onError);
		},
		autoLoad:true
	  });
 }else{
	chatDetail.find('div.chatDetailMain').scrollTop(0); 
 };
   
});

//定时更新最后的会话时间
setInterval(function(){
	$('li.chatListItem p[role="time"]',chatNav).dateDiff();
},1000*60);

messageTab.delegate('>li:not(.active)',click,function(e){
	e.stopPropagation();
	var role=$(this).attr('role');
	$(this).addClass('active').siblings().removeClass('active');
	$('div.chatMain[role="'+role+'"]').show().siblings('div.chatMain').hide();
	
	switch(role){
		case 'visitors':
			getCustom();
		break;
		
	};
});

chatContainer.delegate('a[role]',click,function(e){
	  e.stopPropagation();
	  switch($(this).attr('role')){
		  case 'back':
		  	  var chatDetailEl=$(this).parents('div[role="chatDetail"]');
			  backWindow(chatDetailEl);
			  $('div.chatMain li.active',chatNav).removeClass('active');
		  break;
	  };
});


/**
 *设置状态
 */
var stateShow=$('#stateShow'); 
;function setState(state,emit){
	
	var set=function(){
			$('#setStateList a[role="'+state+'"]').toActive();
			stateShow.removeClass().addClass('face '+state);
		};
	
	if(!emit){
		set();
		return;
	};
	//向服务器发送改变状态通知	
	socket.emit('setState',{state:state},set);
};
$('#stateShow').on(click,function(e){
	e.stopPropagation();
	$('#setStateList').toggleClass('show');
});
$('#setStateList').delegate('a[role]:not(.active)',click,function(e){
	setState($(this).attr('role'),true);
	$('#setStateList').removeClass('show');
});

$(document).on(click,function(){
	$('#setStateList').removeClass('show');
});

$('#xzMessageTitle').on(click,function(){
	var time=$.now(),
		oTime=$(this).data('time');
	if(oTime&&time-oTime<1000){
		window.location.reload();
	};
	$(this).data('time',$.now());
	
});

/**
 *设置新消息数
 */
;function newTopMessage(num,show){
	
	if(show){
		showMessageBox();
	};
	
	setNewMessage($('#xzMessageBar span[role="message"]'),num);
	if(appSys!='web'){
		webViewCall('setMessageNum',{num:num});
		return;
	};
	
	var msgTipsEl=top.$('#messageToggleBar span[role="message"]');
	if(msgTipsEl.length){
		setNewMessage(msgTipsEl,num);
	};
		
};

/**
 *设置新消息条数
 */
;function setNewMessage(msgTipsEl,num){
	msgTipsEl.find('i').text((num>99?'99+':num<1?'':num));
	if(num>0){
		msgTipsEl.addClass('unRead');
	}else{
		msgTipsEl.removeClass('unRead');
	};
};

/**
 *播放声音
 */

;function playSound(type){
	if(appSys=='web'){
		if($('#audio_'+type).length){
			$('#audio_'+type)[0].play();
		};
	}
};

/**
 *控制消息窗口
 */
if(appSys=='web'){
	if(this!=top&&top.$('#xzMessage')){ 
		var xzMessageWindow=top.$('#xzMessage'),
			messageToggleBar=top.$('#messageToggleBar'),
			messageFullscreen=$('#messageFullscreen');
		
		if(xzMessageWindow.hasClass('full')){
			messageFullscreen.addClass('full');
			messageFullscreen.find('i').addClass('xzicon-fullscreen1-exit').removeClass('xzicon-fullscreen1');
		};
		
		messageFullscreen.on(click,function(e){
			messageFullscreen.toggleClass('full');
			xzMessageWindow.toggleClass('full');
			if($(this).hasClass('full')){
				$(this).find('i').addClass('xzicon-fullscreen1-exit').removeClass('xzicon-fullscreen1');
			}else{
				$(this).find('i').addClass('xzicon-fullscreen1').removeClass('xzicon-fullscreen1-exit');
				$('>div.chatDetail.show',chatContainer).css('left',0);
			};
			e.stopPropagation();
		});
		messageToggleBar.off(click).on(click,function(e){
			xzMessageWindow.toggleClass('show');
			$(this).toggleClass('active');
			e.stopPropagation();
		});
		
		
		
		/**
		 *还原消息窗口
		 */
		;function miniMessageWindow(){
			if(top.phoneFrame){
				hideMessageWindow();
			}else{
				if(messageFullscreen.hasClass('full')){
					messageFullscreen.trigger(click);
				};
				
			};
		};
		
		/**
		 *隐藏消息窗口
		 */
		;function hideMessageWindow(){
			if(messageToggleBar.hasClass('active')){
				messageToggleBar.trigger(click);
			};
			if(messageFullscreen.hasClass('full')){
				messageFullscreen.trigger(click);
			};
		};
		
		
		
		
		;function resizeMessageWindow(){
			if(top.phoneFrame){
				messageFullscreen.hide();
			}else{
				messageFullscreen.show();
			};
		};
		
		resizeMessageWindow();
			
		messageToggleBar.show();
		
		$('#closeMessageWindow').on(click,hideMessageWindow);
		
		$(window).resize(resizeMessageWindow);
		
		if(top.userInfo.avatar){
			setFace(top.userInfo.avatar);
		};
		
		$('<div style="display:none;"><audio id="audio_message">\
			  <source src="'+staticPath+'/plugins/xzcs/audio/message.mp3" type="audio/mpeg">\
			  <source src="'+staticPath+'/plugins/xzcs/audio/message.wav" type="audio/wav">\
			</audio><audio id="audio_online">\
			  <source src="'+staticPath+'/plugins/xzcs/audio/online.mp3" type="audio/mpeg">\
			  <source src="'+staticPath+'/plugins/xzcs/audio/online.wav" type="audio/wav">\
			</audio></div>').appendTo('body');
			
			
	};
}else{
	$('#closeMessageWindow').on(click,function(){
		webViewCall('closeMessageWindow');	
	});
};



