// JavaScript Document

var appoint,categoryData;

			
//设置分类
function getAppoint() {
		return $('input[name="appoint"]:checked').val();
}
;
//设置指定数据显示
var showAppointContainer = $('#showAppointContainer'),
		addSelectBox = $('#addSelectBox');

showAppointContainer.delegate('a[role="delBtn"]', click, function () {
		$(this).parents('li:first').remove();
});
//插入已选择数据
function insertAppointData(data) {
		if ($('li[data-id="' + data.id + '"]', showAppointContainer).length)
				return;
		$('<li data-id="' + data.id + '">' +
				'<div class="addItem">' +
				'<span class="addText">' + data.name + '</span>' +
				'<a class="button addDelete" href="javascript:;" role="delBtn"><i class="xzicon-delete"></i></a>' +
				'</div>' +
				'</li>').data('data', data).insertBefore(addSelectBox);
}
;
function setAppointContainer() {
		var ids = $('#appointId').val(),
				names = $('#appointName').val().split(',');
		if (ids) {
				$.each(ids.split(','), function (i, item) {
						insertAppointData({
								id: item,
								name: names[i] ? names[i] : item
						});
				});
		}
}
;
setAppointContainer();
function setCategories() {
		var appoint = getAppoint();
		if (appoint == 0) {
				$('#categoriesContainer').hide();
		} else {
				$('#categoriesContainer').show();
		}
		;

}
;
setCategories();
$('input[name="appoint"]').on(click, function () {
	  $('#appointId,#appointName').val('');
	  $('>li[data-id]', showAppointContainer).remove();
	  setCategories();
});
//选择分类
addSelectBox.on(click, function () {
		appoint = getAppoint();
		if (appoint !== '') {
				var selectData, count;
				appoint == '1' ? count = 1 : count = 0;
				var fn = function () {
						expandSelectDialog({
								onSelected: function (data) {
										selectData = data;
										if (count == '1') {
												$('>li[data-id]', showAppointContainer).remove();
												insertAppointData(data);
										}
								},
								dialogOpts: {
										onBeforeConfirm: function (fn) {
												if (!selectData) {
														Tips('error', '请选择分类');
												} else {
														fn();
												}
												;
										},
										onConfirm: function () {
												for (id in selectData) {
														insertAppointData({
																id: id,
																name: selectData[id].name
														});
												}
												;
										}
								},
								selectOpts: {
										count: count,
										data: categoryData
								}
						});
				};
				if (categoryData) {
						fn();
				} else {
						rpcJSON('/app/message/Apirpc/getCategory', {}, function (backData) {
								if(backData && backData.length) {
									categoryData = backData;
								}else{
									Tips('error','暂无分类');
								}
								;
								fn();
						});
				}
		}
});