
var addressData='';

;
function checkMobile(str) {
        var reg = /^0?1[3|4|5|7|8][0-9]\d{8}$/;
        if (reg.test(str)) {
                return true;
        } else {
                return false;
        }
};

//收货地址html
function addressHtml(data,type){
	var addressinfo='',
		addressId=data.id,
		checked=false;
		
	if(type=='add'||type=='first'){
		checked=true;
	}else if(data.default==1){
		checked=true;
	};
	
	if(data.provinceName){
		addressinfo=data.provinceName + data.cityName + data.countryName + data.address
	}else{
		addressinfo=data.addressinfo;
	}
	if(data._id){
		addressId=data._id
	}
	return'<li class="span3 '+(checked?'':'hidden-phone' )+'" data-id="'+ addressId +'">'+
		'<div class="shop_address_bar">'+
		'<label class="shop_address_label">'+
		'<span class="circleLabel">'+
		'<input data-province="' + data.province + '" value="' + addressId + '" type="radio" name="addressId" '+(checked?'checked="checked"':'')+'><span class="circle"></span>'+
		'</span>'+
		'<p class="mc">'+ data.name +'<span class="shop_address_list_phone">' + data.mobile + '</span></p>'+
		'<p class="shop_address_address">' + addressinfo + '</p>'+
		'</label>'+
		'</div>'+
		'</li>';
};

//添加收货地址
function addGoodsAddress(containerBox) {
        var container = $('ul[role=addressBox]', containerBox);
		var DialogEl = $('<form id="addressForm"><div class="dlalogClassly"><p class="classlyTitle">收货人姓名</p>'+
			'<div class="classlyMain"><div class="dialogInputRow">'+
			'<input class="dialogInput inputText" name="name" type="text"></div></div></div>'+
			'<div class="dlalogClassly"><p class="classlyTitle">所在地区</p>'+
			'<div class="classlyMain"><div class="dialogInputRow">'+
			'<input type="hidden" name="province">'+
			'<input type="hidden" name="city">'+
			'<input type="hidden" name="country">'+
			'<input type="hidden" name="provinceName">'+
			'<input type="hidden" name="cityName">'+
			'<input type="hidden" name="countryName">'+
			'<input name="area" class="textInput" type="hidden" role="expandSelect" title="选择地区"  data-selectbox="1" data-selectmode="2"  data-count="1" data-requesturl="/common/getArea" data-joinpathname="-"></li>'+
			'</div></div></div>'+
			'<div class="dlalogClassly"><p class="classlyTitle">详细地址</p>'+
			'<div class="classlyMain"><div class="dialogInputRow">'+
			'<input class="dialogInput inputText" name="address" type="text"></div></div></div>'+
			'<div class="dlalogClassly"><p class="classlyTitle">手机号码</p>'+
			'<div class="classlyMain"><div class="dialogInputRow">'+
			'<input class="dialogInput inputText" name="mobile" type="tel"></div></div></div>'+
			'<div class="dlalogClassly"><p class="classlyTitle">身份证号码</p>'+
			'<div class="classlyMain"><div class="dialogInputRow">'+
			'<input class="dialogInput inputText" name="idcard" type="tel" role="number"></div></div></div>'+
			'<div class="dlalogClassly"><p class="classlyTitle">设为默认地址</p>'+
			'<div class="classlyMain"><div class="dialogInputRow">'+
			'<label class="switchLabel">'+
			'<input value="1" name="default" role="switch" type="checkbox"><span class="switchBox"><i class="switch"></i></span>'+
			'</label></div></div></div></form>'),
			requestData = {},
			selectArea = $('input[name=area]', DialogEl);
			selectArea.inputExpandSelect();
		
		$('html,body').addClass('fullOver');
		
		ConfirmDialog('添加收货地址', DialogEl, {
				width: 460,
				scroll:true,
				onBeforeConfirm: function (fn) {
						requestData = getFormValue('#addressForm');
						var msg = '';
						if (requestData.name.length < 2) {
								msg = '收货人姓名不能为空';
						} else if (checkMobile(requestData.mobile) == false) {
								msg = '请输入正确的手机号码';
						} else if (requestData.idcard && requestData.idcard.length != 18) {
								msg = '请输入正确的身份证号码';
						} else if (!requestData.area) {
								msg = '请选择所在地区';
						} else if (!requestData.address) {
								msg = '详细地址不能为空';
						}
						if (!msg) {
								fn();
						} else {
								Tips('error', msg);
								return false;
						}
				},
				onConfirm: function () {

						rpcJSON('/appmodule/user/api/addGoodsAddress', requestData, function (backData) {
							requestData['id']=backData;
							$('li:not(.hidden-phone)',container).addClass('hidden-phone');
							$('li[role="addRow"]',container).before(addressHtml(requestData,'add'));
							$('html,body').removeClass('fullOver');
								//container.prepend(html);
//								loadDeliveryType(containerBox);
						});
				},
				onClose: function () {
					$('html,body').removeClass('fullOver');
				}
		});
		selectArea.on('change', function () {
				var pathId = selectArea.data('selectedData').pathId,
					pathName = selectArea.data('selectedData').pathName;
				if (pathId.length == 3) {
						$('input[name=city]', DialogEl).val(pathId[1]);
						$('input[name=cityName]', DialogEl).val(pathName[1]);
				} else {
						$('input[name=city]', DialogEl).val(pathId[0]);
						$('input[name=cityName]', DialogEl).val(pathName[0]);
				}
				$('input[name=province]', DialogEl).val(pathId[0]);
				$('input[name=provinceName]', DialogEl).val(pathName[0]);
				$('input[name=country]', DialogEl).val(pathId[pathId.length - 1]);
				$('input[name=countryName]', DialogEl).val(pathName[pathName.length - 1]);
		});

}
//加载收货地址
function loadGoodsAddress(containerBox, moreAddress) {
        var container = $('ul[role=addressBox]', containerBox),
			loadingEl = $(getContentLoading()).insertAfter(container);
        rpcJSON('/appmodule/user/api/getGoodsAddress', {}, function (backData) {
                var html = '';
				addressData=backData;
                loadingEl.remove();
                if (backData.length) {
					var firstState=true;
					$.each(backData, function (i, item) {
						if(item.default==1)firstState=false;
						
						html=addressHtml(item);
						container.prepend(html);
					});
					if(firstState){
						$('li:first',container).find('input[name="addressId"]').prop('checked',true);
					}
                }else{
					$('li[role="addRow"]',container).removeClass('hidden-phone');
				}
				$('li:not([role="addRow"])',container).each(function(){
					if($('input[name="addressId"]',this).prop('checked')){
						$(this).removeClass('hidden-phone').siblings().addClass('hidden-phone');
					}
				});
        });
}

//选择收货地址
function selectedAddress(selectId,container){
	if(addressData.length){
		var DialogEl=$('<div><a href="javascript:;" class="flotAddBtn" role="add"><i class="xzicon-add"></i></a><div class="dlalogClassly"><p class="classlyTitle">选择分类</p><div class="classlyMain"><ul role="addressList" class="exhibitList high"></ul></div></div></div>'),
			addressList=$('ul[role="addressList"]',DialogEl),
			addAddress=$('a[role="add"]',DialogEl),
			html='';
		
		$.each(addressData,function(i,item){
			if(selectId==item._id){
				html+='<li class="active" data-id="'+ item._id +'"><div class="textBox"><p>'+ item.name +'<span class="mobile"></span></p><p class="small">'+ item.addressinfo +'</p></div></li>';
			}else{
				html+='<li data-id="'+ item._id +'"><div class="textBox"><p>'+ item.name +'<span class="mobile"></span></p><p class="small">'+ item.addressinfo +'</p></div></li>';
			};
		});
		addressList.html(html);
		
		var dialog=ConfirmDialog('选择收货地址', DialogEl, {
				scroll:true,
				confirmText:''
		});
		$('html,body').addClass('fullOver');
		addressList.delegate('li',click,function(){
			var $this=$(this),
				thisId=$this.data('id');
			$('li:not([role="addRow"])',container).each(function(){
				var $li=$(this);
				if(thisId==$li.data('id')){
					$('input[name="addressId"]',$li).prop('checked',true);
					$li.removeClass('hidden-phone').siblings().addClass('hidden-phone');
				}
			});
			dialog.close();
			$this.toActive();
			$('html,body').removeClass('fullOver');
		});
		addAddress.on(click,function(){
			addGoodsAddress(container);
			dialog.close();
			$('html,body').removeClass('fullOver');
		});
		
		
	}
	
};

/**
 * 更新总价
 * @param {type} containerBox
 * @returns {undefined}
 */
function updatePrice(containerBox) {
        var orderTotal = $('input[name=orderTotal]', containerBox).val(),
                deliveryPrice = $('input[name=deliveryType]:checked', containerBox).data('price');

        $('input[name=deliveryPrice]', containerBox).val(deliveryPrice);
        $('li[role=deliveryPrice]', containerBox).text('¥' + deliveryPrice);
        $('li[role=totalPrice]', containerBox).text('¥' + (parseFloat(orderTotal) + parseInt(deliveryPrice)));
}

//修改发票信息
function editInvoice(container) {
        var invoiceInfo = $('input[name=invoiceInfo]', container).val(),
                requestData = {"type": 0, "title": "", "content": ""};
        if (invoiceInfo) {
                requestData = $.parseJSON(invoiceInfo);
        }
        var html = $('<form id="addInvoice"><div class="dlalogClassly"><p class="classlyTitle">类型</p>'+
			'<div class="classlyMain"><div class="dialogInputRow">'+
			'<label class="circleLabel"><input type="radio" name="type" value="0"><span class="circle"></span><span class="circleText">不需要发票</span></label>'+
			'<label class="circleLabel"><input type="radio" name="type" value="1"><span class="circle"></span><span class="circleText">个人</span></label>'+
			'<label class="circleLabel"><input type="radio" name="type" value="2"><span class="circle"></span><span class="circleText">公司</span></label>'+
			'</div></div></div>'+
			'<div class="dlalogClassly"><p class="classlyTitle">发票抬头</p>'+
			'<div class="classlyMain"><div class="dialogInputRow">'+
			'<input class="dialogInput inputText" value="' + requestData.title + '" name="title" type="text"></div></div></div>'+
			'<div class="dlalogClassly"><p class="classlyTitle">发票内容</p>'+
			'<div class="classlyMain"><div class="dialogInputRow">'+
			'<input class="dialogInput inputText" value="' + requestData.content + '" name="content" type="text"></div></div></div></form>');
				
		$('input[name="type"]',html).each(function(){
			if($(this).val()==requestData.type){
				$(this).prop('checked',true);
			};
		});
				
		
        ConfirmDialog('修改发票信息', html, {
                width: 460,
                onBeforeConfirm: function (fn) {
                        requestData = getFormValue('#addInvoice');
                        var msg = '';
                        if (!requestData.title&&requestData.type!=0) {
                                msg = '发票抬头不能为空';
                        } else if (!requestData.content&&requestData.type!=0) {
                                msg = '发票内容不能为空';
                        }
                        if (!msg) {
                                fn();
                        } else {
                                Tips('error', msg);
                                return false;
                        }
                },
                onConfirm: function () {
                        var title = '不需要发票';
						if(requestData.type == 1){
							title='需要个人发票，'+requestData.title;
						}else{
							title='需要公司发票,'+requestData.title;
						};
                        $('input[name=invoiceInfo]', container).val($.toJSON(requestData));
                        $('span[role=invoiceText]', container).text(title);
                }
        });
}



/**
 * 加载配送方式
 * @param {type} containerBox
 * @returns {undefined}
 */
function loadDeliveryType(containerBox) {
        var province = $('input[name=addressId]:checked', containerBox).data('province'),
                container = $('ul[role=deliveryBox]', containerBox),
                orderTotal = $('input[name=orderTotal]', containerBox).val();
        var loadingEl = $(getContentLoading()).insertAfter(container);

        rpcJSON('/appmodule/shop/apirpc/getDeliveryType', {province: province, orderTotal: orderTotal}, function (backData) {
                var html = '';
                loadingEl.remove();
                if (backData.length > 0) {
                        $.each(backData, function (i, item) {
                                html += '<li class="hidden-phone">';
                                html += '<div class="left">';
                                html += '<label class="hookLabel">';
                                html += '<input data-name="' + item.name + '" value="' + item.id + '" ' + (i == 0 ? 'checked' : '') + ' data-price="' + item.price + '" name="deliveryType" type="radio"><span class="hookBox"><i class="xzicon-yes hook"></i></span>';
                                html += '<div class="shop_orderCheckout_spanBox">';
                                html += '<span>' + item.name + '</span>';
                                html += '<span>' + (item.price == 0 ? '免邮' : '¥' + item.price) + '</span>';
                                html += '</div></label></div>';
                                html += '</li>';
                                if (i == 0) {
                                        container.next().text(item.name);
                                }
                        });
                        container.html(html);
                        updatePrice(containerBox);
                }
        });
}




/**
 * 支付弹窗
 */
 
function payDialog(orderNum,reamount,paytype){
	
	var isWx = isWeixin ? 1 : 0,
		host = document.location.host,
		payForm=$('<div style="position:fixed;left:-9999em;top:-9999em;display:none;"></div>'),
		dialogEl=$('<div class="dlalogClassly textClassly">'+
		'<p>订单号：'+ orderNum +'</p>'+
		'<p>需支付：￥'+ reamount +'</p>'+
		'</div>'+
		'<div class="dlalogClassly"><p class="classlyTitle">选择支付方式</p>'+
		'<div class="classlyMain"><ul class="exhibitList" id="payTypeConatiner">'+
		'</ul></div></div>'+
		'<div class="dlalogClassly"><a href="javascript:;" class="button b4 xzpayBtn" id="goon">下一步</a></div>'),
		payTypeConatiner=$('#payTypeConatiner',dialogEl),
		goon=$('#goon',dialogEl),
		$paytype='',
		dialog;
	
		
		if(paytype.length){
			var payTypeListHtml='',defaultPay=true;
			$.each(paytype,function(i,item){
				if(appSys!='web'&&item.id=='weixin'){
					payTypeListHtml+='<li class="picRow '+( defaultPay?'active':'' )+'" data-id="'+ item.id +'">'+
					'<span class="icon"><i class="xzicon-'+ item.icon +'"></i></span><span class="text">'+ item.name +'</span></li>';
				};
				if(defaultPay)$paytype=item.id;
				defaultPay=false;
			});
			getPayData($paytype,orderNum);
			payTypeConatiner.html(payTypeListHtml);
		}else{
			payTypeConatiner.html('暂无支付方式');
		};
		
		function getPayData($paytype,orderNum){
			rpcJSON('/appmodule/shop/apirpc/getPayLink', {host: host, paytypes: $paytype, orderNum: orderNum, isWx: isWx}, function (backData) {
				if(appSys=='web'){
					if($paytype=='alipay'){
						goon.attr({'href':backData,'target':'_blank'});
					}else if($paytype!='alipay'){
						goon.attr({'href':'javascript:void(0);','target':'_self'});
						if($paytype=='weixin'){
							goon.data('payUrl',backData);
						}else if($paytype=='unionpay'){
							payForm.html(backData);
						};
					};
				};
				
			});
		};
		
		goon.on(click,function(){
			
			var delayCheck,checkDialog;
			
			function successDialog(el,height){
				checkDialog=top.Confirm(el,checkPay, '', {
					confirmText: "已完成付款",
					cancelText: "更换支付方式",
					height:height||'',
					width:height?'300':'360',
					onClose:function(){
						if(delayCheck){
							clearTimeout(delayCheck);
						};
					}
				});
				
				delayCheck=setTimeout(function(){
					checkPay(true);
				},10000);
			};
			
			function checkPay(next){
				rpcJSON('/appmodule/shop/apirpc/checkOrderStatus',{orderNum:orderNum},function(){
					 if(delayCheck){
					  clearTimeout(delayCheck);
					  delayCheck=null;
					 };
					 if(next){
					  checkDialog.close();
					 };
					  dialog.close();
					  paySuccess(orderNum);
				  },function(){
					  if(next){
						  delayCheck=setTimeout(function(){
								checkPay(true);
						  },10000);
					  }else{
						 Alert('支付失败，请稍后重试！');	
					  }
				  });
			};
			
			
			if(appSys=='web'){
				//如果是微信支付
				if($paytype=='weixin'){
					var payUrl=$(this).data('payUrl');
					if(isWeixin){
						window.location.href=payUrl+'&backurl=/admin/index/';
					 }else{
						successDialog('<div class="qrcodeBox"><p class="title">请使用微信扫描二维码支付订单</p><img src="'+getQrcode(payUrl)+'"></div>',280);																			
					}
				}else if($paytype=='unionpay'){
					$('body').append(payForm);
					$('#pay_form','body').submit();
					successDialog('<p>请您在新打开的页面上完成付款</p><p>付款完成前请不要关闭此窗口</p><p>完成付款后请根据您的情况点击下面的按钮</p>');
				}else{
					successDialog('<p>请您在新打开的页面上完成付款</p><p>付款完成前请不要关闭此窗口</p><p>完成付款后请根据您的情况点击下面的按钮</p>');
				};
				
			}else{
				webViewCall('pay',{reamount:reamount,resources:1,paytype:$paytype,orderNum:orderNum,isWx:isWx},function(data){alert($.toJSON(data));
					 if(data.payresult=='success'){
						 paySuccess(orderNum);
					 }else{
						 Alert('支付失败，请稍后重试！');	
					 }
				 });
			}
			
		});
		
		dialog=top.ConfirmDialog('选择支付方式',dialogEl,{
			width:420,
			scroll:true,
			confirmText:''
		});
		
		payTypeConatiner.delegate('li',click,function(){
			var $this=$(this);
			$this.toActive();
			$paytype=$this.data('id');
			getPayData($paytype,orderNum)
		});
		
		
		
};

/**
 *支付成功
 */

function paySuccess(orderNum){
	
	Tips('success','支付成功',1000,function(){
		xzHref('/p-shop_order_success/ordernum-'+orderNum+'.html');
		freshIndex();
	});
};