/**
 *与webview交互
 */
 
var webViewBridge,webViewCall;

if(appSys=='ios'&&typeof newWebViewJavascriptBridge!='undefined'){
	
	function setupWebViewJavascriptBridge(callback) {
		if (window.WebViewJavascriptBridge) { return callback(WebViewJavascriptBridge); }
		if (window.WVJBCallbacks) { return window.WVJBCallbacks.push(callback); }
		window.WVJBCallbacks = [callback];
		var WVJBIframe = document.createElement('iframe');
		WVJBIframe.style.display = 'none';
		WVJBIframe.src = 'wvjbscheme://__BRIDGE_LOADED__';
		document.documentElement.appendChild(WVJBIframe);
		setTimeout(function() { document.documentElement.removeChild(WVJBIframe) }, 0);
	};
	$(document).ready(function(){
		setupWebViewJavascriptBridge(function(bridge) {
		
			webViewBridge=bridge;
			
			webViewBridge.registerHandler('xzBridge', function(backData, responseCallback) {
			 
				if(!backData.action||!xzApp[backData.action])return;
				
				xzApp[backData.action](backData.data,responseCallback);
			 
			});
			
			webViewCall=function(action,data,callback){
				 webViewBridge.callHandler('xzBridge',{action:action,data:data},callback);
			};
		});
	});
}else{
	function connectWebViewJavascriptBridge(callback) {
		if (window.WebViewJavascriptBridge) {
				callback(WebViewJavascriptBridge);
		} else {
			document.addEventListener('WebViewJavascriptBridgeReady', function() {
				callback(WebViewJavascriptBridge);
			}, false);
		}
	};
	
	$(document).ready(function(){
		connectWebViewJavascriptBridge(function(bridge) {
			webViewBridge=bridge;
			
			webViewBridge.registerHandler('xzBridge', function(backData, responseCallback) {
			 
				if(!backData.action||!xzApp[backData.action])return;
				
				xzApp[backData.action](backData.data,responseCallback);
			 
			});
			
			webViewCall=function(action,data,callback){
				 webViewBridge.callHandler('xzBridge',{action:action,data:data},callback);
			};
			
			webViewBridge.init(function(message, responseCallback) {
			
			});
		});					   
	});
};

//重定义ajax请求及cookie操作
if(appSys!='web'){
	jQuery.ajax=function(ajaxObj){
		
		webViewCall('ajax',ajaxObj,ajaxObj.success);
		
		function done(){};
			
	};
	jQuery.fn.load=function(url,params,callback){
		if ( typeof url !== "string" && _load ) {
			return _load.apply( this, arguments );
		}
	
		// Don't do a request if no elements are being requested
		if ( !this.length ) {
			return this;
		}
	
		var selector, type, response,
			self = this,
			off = url.indexOf(" ");
	
		if ( off >= 0 ) {
			selector = url.slice( off, url.length );
			url = url.slice( 0, off );
		}
	
		// If it's a function
		if ( jQuery.isFunction( params ) ) {
	
			// We assume that it's the callback
			callback = params;
			params = undefined;
	
		// Otherwise, build a param string
		} else if ( typeof params === "object" ) {
			type = "POST";
		}
	
		// Request the remote document
		jQuery.ajax({
			url: url,
	
			// if "type" variable is undefined, then "GET" method will be used
			type: type,
			dataType: "html",
			data: params,
			success:function( responseText ) {
	
				// Save response for use in complete callback
				response = arguments;
		
				// See if a selector was specified
				self.html( selector ?
		
					// Create a dummy div to hold the results
					jQuery("<div>")
		
						// inject the contents of the document in, removing the scripts
						// to avoid any 'Permission Denied' errors in IE
						.append( responseText.replace( /<script\b[^<]*(?:(?!<\/script>)<[^<]*)*<\/script>/gi, "" ) )
		
						// Locate the specified elements
						.find( selector ) :
		
					// If not, just inject the full result
					responseText );
		
			}
		})
	
		return this;
	};
	
};


	