/**
 * xzPay.js
 */
 //price:价格  payData：支付方式   rechargeUrl：获取支付链接接口地址  rechargeData：获取支付链接接口数据
function xzPayDialog(opts){
	if(appSys=='web'){
		xzPayFn(opts);
	}else{
		rpcJSON('/Allusers/checkIP',{},function(backData){
			xzPayFn(opts);
		},function(){
			top.Dialog('请在网页端完成支付',{
				width:320
			});
			return;
		});

	};
	
	function xzPayFn(opts){	
		var options=$.extend(true,{
				price:'',
				rechargeUrl:'/recharge/recharge',
				rechargeData:{},
				checkData:{},
				success:function(){
					Tips('success','充值成功',1000,function(){
						if(appSys=='web'){
							if(parent!==top){
								parent.window.location.reload();
							}else if(parent==top){
								closeCurrentTab('',true);
							};
						}else{
							webViewCall('backAndFresh');	
						};
						freshIndex();
						
					});
				}
			},opts),
			payData,orderNum,payUrl;
		
		if(payData){
			goPay()
		}else{
			rpcJSON('/Recharge/payMethod',{},function(backData){
				payData=backData;
				goPay()
			});
		}
		function goPay(){
			var id = $(this).data('id'),
				reamount=options.price,
				href,dialog;
				
			//支付dialogHtml
			var el=$('<div><div class="myBankCard"></div><a id="goon" style="margin-top:20px" class="button xzpayBtn b4" href="javascript:;">下一步</a></div>'),
				html='',changeState=true;
				
			$.each(payData.list,function(i,item){
				
				var name=item.name,
					id=item.id;
				
				if(id=='alipay'){
					html += '<a href="javascript:void(0);" class="setRow active" data-id="'+ id +'" role="choseCycle">';
				}else{
					html += '<a href="javascript:void(0);" class="setRow" data-id="'+ id +'" role="choseCycle">';
				};
				
				html += '<p class="setRowMore"><i class="xzicon-yes tc_5"></i></p>'+
						'<div class="setRowMain">'+
						'<div class="setRowText">'+
						'<p>'+
						'<span style="display:inline-block;margin-right:10px;width:30px;height:30px;" data-crop="1">'+
						'<img data-src="'+item.icon+'" />'+
						'</span>'+name+'</p>'+
						'</div>'+
						'</div>'+
						'</a>';
			});
			
			$('.myBankCard',el).html(html);
			$('img',el).setThumbImageView();
			
			dialog = top.Dialog(el,{
				width:360,
				scroll:true
			});
			//更新下一步操作
			if(appSys=='web'){
				changeState=false;
				changeGoon('alipay',reamount);
			};
			
			
		
			/**
			 * 更换支付方式
			 */
			function changeGoon(id,reamount){
				$('#goon',el).attr({'href':'javascript:void(0);','target':'_self'});
				changeState=false;
				var rechargeData=$.extend(true,{
						"resources":1,
						 "from":'pc',
						 "reamount":reamount,
						 "paytype":id,
						 isWx:isWeixin?1:0,
						 uIsOrder:1
					},options.rechargeData);
				
				rpcJSON(options.rechargeUrl,rechargeData,function(backData){
					   orderNum=backData.ordernum;
					   payNum=backData.payNum;
					   payUrl=backData.url;
					   if(id=='alipay'){
							$('#goon',el).attr({'href':payUrl,'target':'_blank'});
						}else if(id=='unionpay'){
							$('#goon',el).attr({'href':'/my/payform/?form=pc&reamount='+ reamount+'&payNum='+payNum,'target':'_blank'});
						}else{
							$('#goon',el).attr({'href':'javascript:void(0);','target':'_self'});
						};
						changeState=true;
				});
				
			};
					
			el.delegate('a[role="choseCycle"]:not(.disable)',click,function(e){
				var $this = $(this);
				$this.toActive();
				
				if(appSys=='web'){
					changeGoon($this.data('id'),reamount);
				};
				
			}).delegate('#goon',click,function(e){
				if(!changeState) return;
				//下一步
				var $this=$(this),
					activeId=$('.setRow.active',el).data('id'),
					delayCheck,
					checkDialog;
					
				
				if(appSys=='web'){
					
					//如果是微信支付
					if(activeId=='weixin'){
						if(isWeixin){
						 window.location.href=payUrl+'&backurl=/admin/index/';
						 }else{
						 successDialog('<div class="qrcodeBox"><p class="title">请使用微信扫描二维码支付订单</p><img src="'+getQrcode(payUrl)+'"></div>',280); 
						 }
					}else{
						successDialog('<p>请您在新打开的页面上完成付款</p><p>付款完成前请不要关闭此窗口</p><p>完成付款后请根据您的情况点击下面的按钮</p>');
					};
					
				}else{
					webViewCall('pay',{reamount:reamount,resources:1,paytype:activeId,ordernum:orderNum},function(data){
						 if(data.payresult=='success'){
							 paySuccess();
						 }else{
							 Alert('支付失败，请稍后重试！');	
						 }
					 });
				}
				
			});
			
			function successDialog(el,height){
				checkDialog=top.Confirm(el,checkPay, '', {
					confirmText: "已完成付款",
					cancelText: "更换支付方式",
					height:height||'',
					width:height?'300':'360',
					onClose:function(){
						if(delayCheck){
							clearTimeout(delayCheck);
						};
					}
				});
				delayCheck=setTimeout(function(){
					checkPay(true);
				},1000);
			};
			
			//判断支付结果
			function checkPay(next){
				var checkData=$.extend(true,{
						ordernum:orderNum
				},options.checkData);
				rpcJSON('/recharge/checkOrder',checkData,function(){
					if(delayCheck){
						clearTimeout(delayCheck);
						delayCheck=null;
					};
					if(next){
						checkDialog.close();
					};
					dialog.close();
					paySuccess();
				},function(){
					  if(next){
						  delayCheck=setTimeout(function(){
								checkPay(true);
						  },3000);
					  }else{
						 Alert('支付失败，请稍后重试！');	
					  }
				  });
			};
			
			
			/**
			 * 充值成功
			 */
			function paySuccess(){
				
				options.success();
			};
			
		};

	};
	
	
};

function webPayDialog(opts){
	var options=$.extend(true,{
			orderNum:'',
			reamount:'',
			paytype:'',
			getPayLinkData:{},
			getPayLinkUrl:'/appmodule/shop/apirpc/getPayLink',
			success:function(){
				
			}
		},opts);
		
	var isWx = isWeixin ? 1 : 0,
		host = document.location.host,
		orderNum=options.orderNum,
		reamount=options.reamount,
		paytype=options.paytype,
		getPayLinkUrl=options.getPayLinkUrl,
		payForm=$('<div style="position:fixed;left:-9999em;top:-9999em;display:none;"></div>'),
		dialogEl=$('<div class="dlalogClassly textClassly">'+
		'<p>订单号：'+ orderNum +'</p>'+
		'<p>需支付：￥'+ reamount +'</p>'+
		'</div>'+
		'<div class="dlalogClassly"><p class="classlyTitle">选择支付方式</p>'+
		'<div class="classlyMain"><ul class="exhibitList" id="payTypeConatiner">'+
		'</ul></div></div>'+
		'<div class="dlalogClassly"><a href="javascript:;" class="button b4 xzpayBtn" id="goon">下一步</a></div>'),
		payTypeConatiner=$('#payTypeConatiner',dialogEl),
		goon=$('#goon',dialogEl),
		payId='',
		dialog;
	
		if(paytype.length){
			var payTypeListHtml='',
				defaultPay=true;
				
			$.each(paytype,function(i,item){
				if((appSys!='web'&&item.id!='weixin')||appSys=='web'){
					payTypeListHtml+='<li class="picRow '+( defaultPay?'active':'' )+'" data-id="'+ item.id +'">'+
					'<span class="icon"><i class="xzicon-'+ item.icon +'"></i></span><span class="text">'+ item.name +'</span></li>';
				};
				if(defaultPay){
					payId=item.id;
				};
				defaultPay=false;
			});
			getPayData(payId,orderNum);
			payTypeConatiner.html(payTypeListHtml);
		}else{
			payTypeConatiner.html('暂无支付方式');
		};
		
		function getPayData(payId,orderNum){
			var getPayLinkData=$.extend(true,{
					host:host,
					isWx:isWx
				},options.getPayLinkData);
			
			getPayLinkData.paytypes=payId;
			getPayLinkData.orderNum=orderNum;
				
			rpcJSON(getPayLinkUrl,getPayLinkData, function (backData) {
				if(appSys=='web'){
					if(payId=='alipay'){
						goon.attr({'href':backData,'target':'_blank'});
					}else if(payId!='alipay'){
						goon.attr({'href':'javascript:void(0);','target':'_self'});
						if(payId=='weixin'){
							goon.data('payUrl',backData);
						}else if(payId=='unionpay'){
							payForm.html(backData);
						};
					};
				};
				
			});
		};
		
		goon.on(click,function(){
			
			var delayCheck,checkDialog;
			
			function successDialog(el,height){
				checkDialog=top.Confirm(el,checkPay, '', {
					confirmText: "已完成付款",
					cancelText: "更换支付方式",
					height:height||'',
					width:height?'300':'360',
					onClose:function(){
						if(delayCheck){
							clearTimeout(delayCheck);
						};
					}
				});
				
				delayCheck=setTimeout(function(){
					checkPay(true);
				},3000);
			};
			
			function checkPay(next){
				rpcJSON('/appmodule/shop/apirpc/checkOrderStatus',{orderNum:orderNum},function(){
					if(delayCheck){
						clearTimeout(delayCheck);
						delayCheck=null;
					};
					if(next){
						checkDialog.close();
					};
					dialog.close();
					paySuccess(orderNum);
				  },function(){
					  if(next){
						  delayCheck=setTimeout(function(){
								checkPay(true);
						  },3000);
					  }else{
						  Alert('支付失败，请稍后重试！');	
					  }
				  });
			};
			
			
			if(appSys=='web'){
				//如果是微信支付
				if(payId=='weixin'){
					var payUrl=$(this).data('payUrl');
					if(isWeixin){
						window.location.href=payUrl+'&backurl=/admin/index/';
					 }else{
						successDialog('<div class="qrcodeBox"><p class="title">请使用微信扫描二维码支付订单</p><img src="'+getQrcode(payUrl)+'"></div>',280);																			
					}
				}else if(payId=='unionpay'){
					$('body').append(payForm);
					$('#pay_form','body').submit();
					successDialog('<p>请您在新打开的页面上完成付款</p><p>付款完成前请不要关闭此窗口</p><p>完成付款后请根据您的情况点击下面的按钮</p>');
				}else{
					successDialog('<p>请您在新打开的页面上完成付款</p><p>付款完成前请不要关闭此窗口</p><p>完成付款后请根据您的情况点击下面的按钮</p>');
				};
				
			}else{
				webViewCall('pay',{reamount:reamount,resources:1,paytype:payId,orderNum:orderNum,isWx:isWx},function(data){
					 if(data.payresult=='success'){
						 paySuccess(orderNum);
					 }else{
						 Alert('支付失败，请稍后重试！');	
					 }
				 });
			}
			
		});
		
		dialog=top.ConfirmDialog('选择支付方式',dialogEl,{
			width:420,
			scroll:true,
			confirmText:''
		});
		
		payTypeConatiner.delegate('li',click,function(){
			var $this=$(this);
			$this.toActive();
			payId=$this.data('id');
			getPayData(payId,orderNum);
		});
		
		function paySuccess(orderNum){
	
			Tips('success','支付成功',1000,function(){
				xzHref('/p-shop_order_success/ordernum-'+orderNum+'.html');
				freshIndex();
			});
		};
}
