/**************************************************************************************
 **************************************************************************************
 侧边栏设置	
 */

var phoneMaxWidth=1023,
	phoneFrame=$(window).width()<=phoneMaxWidth;

$('#logoBar').on(click,function(){
	$('#xz_container').toggleClass('streamline');
});


//左侧菜单
var side=$('#xz_side'),
	sideWP=$('div.wp',side),
	sideMask=$('>div.mask',side),
	sideMode=false;

function getLeftSide(){
	side.addClass('show');
	sideWP.css('left','-100%');
	sideMask.css('opacity',0);
	showSide();
};


side.delegate('.navItem:not(.disabled)>a',click,function(e){
	var $parent=$(this).parent();
	
	if($parent.hasClass('mouseover')){
		$parent.removeClass('mouseover');
		$('#mainMask').remove();
	}else{
		$parent.addClass('mouseover').siblings().removeClass('mouseover');
		if(!$('#mainMask').length){
			$('<div class="mask" id="mainMask" style="background:rgba(255,255,255,0.01);display:block;"></div>')
				.appendTo('#xz_main')
				.on(click,function(){
					$('.mouseover',side).removeClass('mouseover');
					$('#mainMask').remove();
				});
		}
	};
	$parent.toActive();
	
	e.stopPropagation();
}).delegate('>div.mask',click,function(){
	if(side.hasClass('show')){
		closeSide();
	};
	
}).delegate('a[url]',click,function(e){
	var $this=$(this);
	tryCloseSide(function(){
		if(appSys=='web'){
			aToFrame($this);
		}else{
			xzHref($this.attr('url'),'new',$this.text());
		};
	});	
	e.preventDefault();
});

if(appSys=='web'){
$('body').delegate('#xz_side.show',{
	touchstart:function(){
		sideWP.data('left',sideWP.position().left);
		
	},
	touchdrag:function(e){
		if(!sideMode||Math.abs(e.dragDeltaX)<3||Math.abs(e.dragDeltaX)<Math.abs(e.dragDeltaY))return;
		
		e.preventDefault();
		var num=sideWP.data('left')+e.dragDeltaX;
		
		
		if(num>0||isNaN(num)){
			num=0;
		};
		sideWP.data('left',num);
		sideWP.css('left',num);
		
		var percent=1-(-num/$(window).width());
		sideMask.css('opacity',percent);
	},
	touchend:function(){
		if(sideWP.data('left')<-$(window).width()*0.6/2){
			closeSide();
		}else{
			showSide();
		}
	}
	
});
sideMask.on('touchmove',function(e){e.preventDefault();});
};

/**
 *关闭左侧菜单
 */
;function showSide(callback){
	sideWP.animate({left:0},'normal','easeOut',function(){
		sideMode=true;
		fireHandler(callback);
	});
	sideMask.animate({opacity:1},'normal','easeOut');
};

;function closeSide(callback){
    if(appSys=='web'){
	sideWP.animate({left:'-100%'},'normal','easeOut',function(){
		sideMode=false;
		side.removeClass('show');
		sideWP.css('left',0);
		fireHandler(callback);
		if(appSys!='web'){
			webViewCall('hideLeftSide');
		};
	});
	sideMask.animate({opacity:0},'normal','easeOut');
	$('#mainMask').remove();
    }else{
        
        webViewCall('hideLeftSide','',function(){
            fireHandler(callback);
        });
    };
	
};


;function tryCloseSide(callback){
	
	if(side.hasClass('show')){
		closeSide(function(){
			fireHandler(callback);
		});
		
		/*setTimeout(function(){
			fireHandler(callback);
		},300);*/
	}else{
		$('#mainMask').remove();
		$('.navItem.mouseover').removeClass('mouseover');
		fireHandler(callback);
	};
};

//重设左侧菜单
function resetLeftSide(){
	var siteId=$.cookie('xzSiteId'),
		siteName=$HASH.site.name;
	//$('#xz_nav >ul >li.disabled').removeClass('disabled');
	$('#siteNameEl').text(siteName).parent().css('border-bottom-width','1px');
	
	//请求菜单数据
	var siteMenu=false;
	rpcJSON('/site/getSiteMenu',{websiteId:siteId},function(backData){
		for(key in backData){
			var list=backData[key];
			if(list&&list.length){
				var html='';
				$.each(list,function(i,item){
					html+='<a class="item" href="javascript:;" url="'+item.url+'">'+item.name+'</a>';
				});
				$('#'+key+'List').html(html);
			};
			$('#'+key+'Item').removeClass('disabled');
			if(key=='site'){
				siteMenu=true;
			};
		};
		if(!siteMenu){
			$('#siteItem').addClass('disabled');
		};
		resizeContainer();
		
	});
};

/**************************************************************************************
 **************************************************************************************
 网页设置	
 */

var pageContainer=$('#pageContainer'),
	pageTabs=$('#pageTabs'),
	pageScrollContainer=$('#pageScrollContainer'),
	addPage=$('#addPage'),
	appPage=$('#appPage'),
	customPage=$('#customPage');

$('#sitePage').on(click,function(){
	if(!pageContainer.data('loaded')){
		  $('li:first',pageTabs).trigger(click);
	  };
});


;function clearPages(){
	pageContainer.removeData('loaded');
	pageTabs.find('li').removeData('loaded');
	appPage.empty();
	customPage.empty();
	$('li.navItem:first').toActive();
};
;function getPageDialogEl(cid,name){
    
	 var html='<div><div class="dlalogClassly">'+
					'<p class="classlyTitle">名称</p>'+
					'<div class="classlyMain">'+
						'<div class="dialogInputRow">'+
							'<input class="dialogInput inputText" placeholder="页面名称" type="text" value="'+(name||'')+'" >'+
						'</div>'+
					'</div>'+
				'</div>'+
				'<div class="dlalogClassly">'+
				'<p class="classlyTitle">选择分类</p>'+
				'<div class="classlyMain">'+
				'<ul class="exhibitList" role="category">';
  
	$('dl',customPage).each(function(i){									
		  html+='<li  data-id="'+$(this).data('id')+'" '+($(this).data('id')==cid?'class="active"':'')+'><span>'+$(this).find('dt').text()+'</span></li>';
	});
	
    html+='</ul></div></div></div>';
	
	var el=$(html);
	el.delegate('li',click,function(){
		$(this).toActive();
	});
	return el;
};

pageScrollContainer.delegate('dt',click,function(e){
	$(this).toggleClass('on');
	if($(this).hasClass('on')){
		$(this).next().slideUp();
	}else{
		$(this).next().slideDown();
	};
	//resizeScroll(pageScrollContainer);
});

;function createPageDialog(pageTemplateId){
	var el=getPageDialogEl(0);
			
		ConfirmDialog('填写页面信息',el,{
				  width:400,
				  maxHeight:500,
				  onConfirm:function(){
					  var value=enToString(el.find('input').val()),
					  	  ncid=el.find('ul[role="category"] li.active').data('id');
					  createPage({name:value,categoryId:ncid,pageTemplateId:pageTemplateId},function(backData){
								insertPage(backData).prependTo($('dl[data-id="'+ncid+'"] ul',customPage));
								//resizeScroll(pageScrollContainer);
								pageContainer.scrollTop(1);
					  });
				  },
				  onBeforeConfirm:function(fn){
					  
					  var value=enToString(el.find('input').val());
						  if(!value){
								  Alert('名称不能为空！');
							  }else if(getLength(value)>32){
								  Alert('名称不能超过16个汉字，32个字符！');
							  }else{
								  
								  fn();
							  };
				  }
		   });
};

addPage.on(click,function(){
	
  var el=$('<div class="cereatePageWrap">\
			<div class="tabs">\
			  <a href="javascript:;" class="active" data-id="responsive">响应式页面</a>\
			  <a href="javascript:;" data-id="mobile">移动页面</a>\
			    <label class="hookLabel">\
				   <input value="1" name="my" type="checkbox">\
				   <span class="hookBox"><i class="xzicon-yes hook"></i></span>\
				   <span class="hookText">仅看我的</span>\
			   </label>\
			</div>\
			<div class="pageTem">\
			  <nav class="pageTemNav">\
				<ul id="pageTemplateCategories">\
				  <li class="active" data-id=""><a href="javascript:;">全部</a></li>\
				</ul>\
			  </nav>\
			  </div>\
			</div>\
		  </div>'),
	  categoryUl=$('#pageTemplateCategories',el),  
  	  dialog=ConfirmDialog('选择页面模板',el,{
				  width:1000,
				  height:500,
				  scroll:false,
				  confirmText:'选取',
				  onConfirm:function(){
					  
					  dialog.close();
					  
				  },
				  onBeforeConfirm:function(fn){
					  var activeEl=$('div[data-categoryid] li.active',el);
					 	 
					  if(!activeEl.length){
						  Tips('你还没有选择模板');
					  }else{
						  createPageDialog(activeEl.data('id'));
						  fn();  
					  };
				  }
		   });
	el.delegate('div.tabs a',click,function(){
	 $(this).toActive();
	 $('li:first',categoryUl).trigger(click);
   }).find('input').on(click,function(){
	   if($(this).prop('checked')){
		    el.addClass('onlyMy');
	   }else{
		   el.removeClass('onlyMy');
	   }
   });	 
   
   //获取模板
   function setPageTemplate(category){
	   var pageType=$('div.tabs a.active',el).data('id'),
	   	   container=$('div.pageTemMain[pagetype="'+pageType+'"]'),
		   insertTemplate=function(){
			   var html='';
			   if(top.$HASH['pageTemplates'][pageType].length){
				   $.each(top.$HASH['pageTemplates'][pageType],function(i,item){
					   html+='<div class="pageClassly" data-categoryid="'+item.categoryId+'">\
							  <p class="pageClasslyTitle">'+item.categoryName+'</p>\
							  <ul class="pageTemList xz_list row6_is row12_ph row4">';
					   if(item.items.length){
						  $.each(item.items,function(j,temp){
							 var url=$(window).width()>=1024?'/site/viewIframe?pageUrl='+encodeURIComponent(temp.url)+'&pageType='+pageType:temp.url;
							 
							 html+='<li data-id="'+temp.id+'" '+(temp.my=='1'?'':'public')+'>\
									  <div class="pageTemItem">\
										<div class="pageTemBar">\
										  <div class="temPic"><img data-src="'+temp.pic+'" data-autoheight="1"></div>\
										  <div class="temMask">\
											<div class="temSum">\
											  <p>'+temp.desc+'</p>\
											</div>\
											<div class="temTool">\
											  <a href="'+url+'" target="_blank" class="temToolBtn" data-tips="3_t" title="预览"><i class="xzicon-eye"></i></a>'+(temp.my=='1'?'<a href="javascript:;" class="temToolBtn" data-tips="3_t" title="删除" role="del"><i class="xzicon-delete"></i></a>':'')+'</div>\
										  </div>\
										  <span class="hookLabel"><span class="hookBox"><i class="xzicon-yes hook"></i></span></span>\
										</div>\
										<p class="temTitle">'+temp.name+'</p>\
									  </div>\
									</li>';		
						  }); 
					   };
					   html+='</ul></div>';
				   });
			   }else{
				   html+='<div class="noData"><i class="xzicon-nodata noDataIcon"></i><p class="noDataTitle">暂无该类型模板</p></div>';
			   };
			   container.html(html).delegate('li',click,function(){
				  if($(this).hasClass('active')){
					  $(this).removeClass('active');
				  }else{
				   $('div[data-categoryid] li.active',el).removeClass('active');
				   $(this).addClass('active');
				  };
			   }).delegate('a',click,function(e){
				   if($(this).parents('li:first').hasClass('active')){
				   	    e.stopPropagation();
				   };
				   if($(this).attr('role')=='del'){
					   var  li=$(this).parents('li:first'),
							did=li.data('id');
					   Confirm('确定要删除这个模板吗？',function(){
						   rpcJSON('/site/delPageTemplate',{id:did},function(){
							  Tips('success','删除成功'); 
							  li.hideRemove();
						   });
					   });
				   };
			   }).find('img').setThumbImageView();			 
		   },
		   showTemplate=function(category){
			   if(!category){
			  	   container.show().siblings('div.pageTemMain').hide();
				   $('>div',container).show();
			   }else{
				   $('>div[data-categoryid="'+category+'"]',container).show().siblings().hide();
			   };
		   };
	   if(!container.length||top.$HASH['pageTemplates'][pageType]==undefined){
		   if(container.length){
		      container.empty();
		   }else{
			  container=$('<div class="pageTemMain" pagetype="'+pageType+'"></div>').insertAfter($('nav',el));	  
		   };
		   if(!top.$HASH['pageTemplates']){
			   top.$HASH['pageTemplates']={};
		   };		 
		   if(top.$HASH['pageTemplates'][pageType]==undefined){
			   container.html(getContentLoading());
			   rpcJSON('/site/getPageTemplates',{pageType:pageType},function(backData){
				   top.$HASH['pageTemplates'][pageType]=backData;
				   insertTemplate();
			   });
		   }else{
			   insertTemplate();
		   };
		   showTemplate(category);
	   }else{
		   showTemplate(category);
	   };
   };
   
   //设置分类
   categoryUl.delegate('li',click,function(){
	   $(this).toActive();
	   setPageTemplate($(this).data('id'));
	   
   }).find('li:first').trigger(click);	
      
   function setCategory(){
	   var html='';
	   $.each(top.$HASH['pageTemplateCategories'],function(i,item){
		   html+='<li data-id="'+item.id+'"><a href="javascript:;">'+item.name+'</a></li>';
	   });
	   categoryUl.append(html);
   };
   
   if(top.$HASH['pageTemplateCategories']!=undefined){
		setCategory();
	}else{
		rpcJSON('/site/getPageTemplateCategories','',function(backData){
			top.$HASH['pageTemplateCategories']=backData;
			setCategory();								
		});
	};   		   
						  
});

/**
 *分类管理
 */

var editCategoryDialog=function(id,name,callBack){
	var el=$('<p class="dialogTip">请输入分类名称</p>\
				<div class="dialogInputRow">\
					<input class="dialogInput inputText" value="'+(name||'')+'" type="text">\
				</div>');
	
	Confirm(el,function(){},'',{
		title:name?'修改分类名称':'添加分类',
		confirmText:'完成',
		onBeforeConfirm:function(fn){
			var value=$('input',el).val();
			if(!value){
				Tips('error','名称不能为空');
			}else if(getLength(value)>32){
				Tips('error','名称不能大于32个字符16个汉字');
			}else{
				callBack({name:value});
				fn();
			};
		}
	});
};

var getCatHtml=function(id,name){
	var html='<li data-id="'+id+'">\
		  			<span>'+name+'</span>';
		if(id!=0){
			html+='<div class="setTool">\
						<i class="xzicon-pencil2" role="edit" title="编辑" data-tips="3_t"></i>\
						<i class="xzicon-delete" role="delete" title="删除" data-tips="3_t"></i>\
						<i class="xzicon-more2"></i>\
					</div>';
		};
		
		html+='</li>'
	return html;
};

$('#category').on(click,function(){
	
	
	
	var catHtml='<div role="category" style="padding-bottom:48px;"><a href="javascript:;" class="flotAddBtn" role="add"><i class="xzicon-add"></i></a>\
				<ul class="exhibitList categoryList">';
  
	$('dl',customPage).each(function(i){
		  catHtml+=getCatHtml($(this).data('id'),$(this).find('dt').text());
	});
	
    catHtml+='</ul></div>';
	var el=$(catHtml),
		uContainer=el.find('ul');
	
	uContainer.phoneMenuDialog({
		btnCls:'i[role]'
		});
	
	el.find('textarea').autoHeightTextarea();
	ConfirmDialog('分类管理',el,{
		width:350,
		height:350,
		confirmText:'完成',
		scroll:true
	});
	
	
	uContainer.delegate('i[role]',click,function(e){
		e.preventDefault();
		e.stopPropagation();
		var $this=$(this),
			$li=$this.parents('li:first'),
			id=$li.data('id');
		switch($this.attr('role')){
			
			//编辑分类
			case 'edit':
				editCategoryDialog(id,$li.find('>span').text(),function(backData){
					rpcJSON('/site/editPageCategory',{id:id,name:backData.name});
					$li.find('>span').text(backData.name);
					$('dl[data-id="'+id+'"] >dt',customPage).text(backData.name);
				});
			break;
			
			//删除分类
			case 'delete':
				if(id!=0){
					Confirm('删除分类后，该分类页面会移动到默认分类中，确定要删除这个分类吗？',function(){
						rpcJSON('/site/delPageCategory',{id:id});
						$li.hideRemove();
						$('dl[data-id="'+id+'"] ul',customPage).children().appendTo($('dl[data-id="0"] ul',customPage));
						$('dl[data-id="'+id+'"]',customPage).hideRemove();
					});
				};
			break;
		};
	});
	el.delegate('a[role="add"]',click,function(){
		editCategoryDialog('','',function(cData){
		
			rpcJSON('/site/addPageCategory',{name:cData.name},function(backData){
				el.find('ul').append(getCatHtml(backData,cData.name));
				var html='<dl class="nb_leveSetList" data-id="'+backData+'" >';
					html+='<dt class="on">'+cData.name+'</dt>';
					html+='<dd class="nb_leveSetList" style="display:none;"><ul></dd></dl>';
				customPage.append(html);
			});
		});
	});
	
});

/**
 *设置选项卡
 */
 
$('li',pageTabs).litabs({
		index:-1,
		callBack:function(el){
			var role=el.attr('role'),
				target=$('#'+role+'Page');
			target.show().siblings().hide();
			if(!el.data('loaded')){
				target.html(getContentLoading());	
				var action=role=='custom'?'getCustomPage':'getAppPage';
				rpcJSON('/site/'+action,{},function(data){
					  pageContainer.data('loaded',1);
					  el.data('loaded',1);
					  
					  var html='';
					  if(data.length){
						  	html=role=='custom'?setCustomPage(data):setAppPage(data);
					  }else{
						  html=getEmptyContent();
					  };
					  target.html(html);
					// resizeScroll(pageScrollContainer);
				},function(){
					target.html(getEmptyContent());
				});
			}else{
				//resizeScroll(pageScrollContainer);
			};
			
			pageContainer.scrollTop(1);
			
			if(role=='custom'){
				$('#pageContainerFoot').show();
			}else{
				$('#pageContainerFoot').hide();
			}
		}
});	

var getPageBtn=function(pageId,type){
	var url=viewURL.replace('{id}',pageId),
		url1='http://'+$HASH['site']['host']+url;
	if(type=='app'){
		
		return '<i title="个性化设置" data-tips="3_t" class="xzicon-set" role="set"></i>'+
				'<i title="内容设置" data-tips="3_t" class="xzicon-wrench" role="quickSet"></i>'+
				'<a href="'+url1+'" target="_blank" role="openPage"><i title="访问页面" data-tips="3_t" class="xzicon-eye"></i></a>'+
				'<i title="查看网址" data-tips="3_t" class="xzicon-link" role="viewUrl"></i>';
		
	}else{
	
	return '<span class="nb_leveTool">'+
					'<i title="个性化设置" data-tips="3_t" class="xzicon-set" role="set"></i>'+
					'<i title="内容设置" data-tips="3_t" class="xzicon-wrench" role="quickSet"></i>'+
					'<a href="'+url1+'" target="_blank"  role="openPage"><i title="访问页面" data-tips="3_t" class="xzicon-eye"></i></a>'+
					'<i title="查看网址" data-tips="3_t" class="xzicon-link" role="viewUrl"></i>'+
					'<i title="修改页面" data-tips="3_t" class="xzicon-pencil" role="rename"></i>'+
					'<i title="复制页面" data-tips="3_t" class="xzicon-copy" role="copy"></i>'+
					'<i title="删除" data-tips="3_t" class="xzicon-delete" role="del"></i>'+
				'</span>';     
	};
};

//设置首页
var setHomepage=function(id,callBack){
		rpc('/site/setHomepage',{pageId:id},callBack);
	},
	
	//设置导航项
	setMenu=function(id,value,callBack){
		rpc('/site/setMenu',{pageId:id,value:value},callBack);
	},
	
	//复制页面
	copyPage=function(id,callBack){
		rpcJSON('/site/copyPage',{pageId:id},function(data){
											callBack(data);
											});
	},
	
	//插入页面
	insertPage=function(item){
		 var el=$('<li data-id="'+item.id+'" data-pageviewid="'+(item.pageViewId||item.id)+'" class="new">'+
                '<span class="nb_leveIcon '+(item.homePage?'active':'')+'" role="setHomepage" ><i class="xzicon-home"  title="'+(item.homePage?'首页':'设为首页')+'" data-tips="3_t"></i></span>'+
                
                '<div class="nb_leveWebName">'+item.name+'</div>'+
                getPageBtn(item.pageViewId||item.id)+
           '</li>');
		 return el;
	},
	
	//添加新页面
	createPage=function(data,callBack){
		rpcJSON('/site/createPage',data,function(data){
											callBack(data);
											});
	},
	
	//删除页面
	delPage=function(data,callBack){
		Confirm('删除后不可恢复，确定要删除这个页面吗？',function(){
			
			//更新最近打开记录
			$HASH['recently']=removeArray($HASH['recently'],data);
			storage.set('recently_'+$HASH['site']['id'],$HASH['recently']);		
			
			rpcJSON('/site/delPage',{pageId:data.id},function(data){
											callBack(data);
											});						   
		});
	},
	
	//重命名
	renamePage=function(id,name,cid,callBack){
		rpcJSON('/site/renamePage',{pageId:id,pageName:name,categoryId:cid},callBack);
		
	},
	
	//重设网页名称
	resetPageName=function(id,name,cid){
		var pageLi=$('li[data-id="'+id+'"]',customPage),
			nameEl=pageLi.find('div.nb_leveWebName');
		
		
		//如果已经打开了该页面，则修改标签页
		if($HASH['frames'][pageURL+id]){
			tabRename(id,name);
		};
		
		nameEl.text(name);
		
		if(cid!=''){
			pageLi.prependTo($('dl[data-id="'+cid+'"] ul',customPage));
		};
		
	};

/** 
 *设置按钮事件
 */
 
;pageScrollContainer.delegate('span[role],i[role]',click,function(e){
	  e.preventDefault();
	  e.stopPropagation();
	  
	  var $this=$(this),
		  $parent = $(this).parents('li:first'),
		  id=$parent.data('id');
	  
	  if($this.data('tipsTitle')){
		$this.hideTips();  
	  };
	  
	  switch($this.attr('role')){
		  
		 
		  
		  
		  case 'viewUrl':
			  var url=viewURL.replace('{id}',$parent.data('pageviewid')),
				  url1='http://'+$HASH['site']['host']+url;
			  Alert('当前页面站内地址：<br><input type="text" class="inputText" style="width:90%" value="'+url+'"/><br><br>网络访问地址：<br><input type="text"  class="inputText" style="width:90%" value="'+url1+'" />','',{width:650});
		  break;
		  
		  case 'setHomepage':
			  if(!$this.hasClass('active')){
				  setHomepage($parent.data('id'),function(){
					  var homePage=pageContainer.find('span[role="setHomepage"].active');
					  homePage.removeClass('active').find('i').data('tipsTitle','设为首页'); 
					  $this.addClass('active');
					  $parent.prependTo($parent.parent());
					  Tips('success','首页设置成功');
				  });
				  $this.find('i').hideTips().data('tipsTitle','首页');  
			  };
		  break;
		  
		  
		  
		  case 'rename' :
			 
			  var name=$parent.find('div.nb_leveWebName').text(),
			  	  cid=$this.parents('dl:first').data('id'),
				  el=getPageDialogEl(cid,name);
			 			  
			  ConfirmDialog('修改页面',el,{
					width:350,
					maxHeight:400,
					scroll:true,
					onConfirm:function(){
						
					},
					onBeforeConfirm:function(fn){
						
						var value=enToString(el.find('input').val()),
							ncid=el.find('ul[role="category"] li.active').data('id');
							if(!value){
									Alert('名称不能为空！');
								}else if(getLength(value)>32){
									Alert('名称不能超过16个汉字，32个字符！');
								}else if(value==name&&ncid==cid){
									fn();
								}else{
									
									renamePage(id,value,ncid);
									
									//重设网页名称
									resetPageName(id,value,(ncid==cid?'':ncid));
									fn();
								};
					}
			 });
			  
		  break;
		  
		  case 'copy' :
			  copyPage(id,function(data){
				 
				  insertPage(data).insertAfter($parent);	
				  //resizeScroll(pageScrollContainer);
			  });
			  
		  break;
		  
		  case 'del' :
			  if($parent.find('span[role=setHomepage]').hasClass('active')){
					  Alert('首页不能删除！');
					  return;
				  };
			  delPage({id:id,
					  name:$parent.find('div.nb_leveWebName').text()},function(){
						  if($parent.find('span[role="setMenu"]').hasClass('active')){
							 reloadPageNav();
						  };
						  $parent.hideRemove(); 
						 // resizeScroll(pageScrollContainer);
						  
						  //关闭已经打开的标签页
						  var url=pageURL+$parent.data('id');
						  closeTab('',url,true);
					  });
			  
		  break;
		  
		  case 'set' :
			  $parent.trigger(click);
		  break;
		  
		  case 'quickSet':
		  	  tryCloseSide(function(){
				   var url1='/custom/set/?id='+id;
				   xzHref(url1,'new',$parent.find('div').text());
				   
			  });
		  break;
		  
		  case 'clearAppPage':
		  	  Confirm('清除后不可恢复，确定要清除这个页面设置吗？',function(){
				$parent.removeClass('set');
				rpcJSON('/site/clearAppPage',{pageId:id});						   
			});
		  break;
	  };											
}).delegate('li',click,function(e){
	
	if(phoneFrame){
		var $this=$(this),
			data=[{
					  name:'访问页面',
					  icon:'xzicon-visibility',
					  value:'openPage'
				  },
				  {
					  name:'查看网址',
					  icon:'xzicon-link',
					  value:'viewUrl'
				  },
				  {
					  name:'内容设置',
					  icon:'xzicon-wrench',
					  value:'quickSet'
				  },
				  {
					  name:'个性化设置',
					  icon:'xzicon-set',
					  value:'set'
				  }
			];
		
		if($('span[role="setHomepage"]',$this).length){
			data.push({
					  name:'设为首页',
					  icon:'xzicon-home',
					  value:'setHomepage'
				  });
		};
		
		var dialog=MenuDialog(data);
		dialog.delegate('ul a',click,function(){
			var value=$(this).data('value');
			dialog.close(function(){
				if(value=='openPage'){
					
					tryCloseSide(function(){
							 var url=viewURL.replace('{id}',$this.data('pageviewid')),
								 url1='http://'+$HASH['site']['host']+url;
							  xzHref(url1,'new',$this.find('div').text());
							
						});
				}else if(value=='set'){
					Alert('请在宽屏电脑中使用该功能');
				}else{
					$('i[role="'+value+'"],span[role="'+value+'"]',$this).trigger(click);
				};	
			});
		});
	}else{
		var url=pageURL+$(this).data('id');
		loadPage({
					id:$(this).data('id'),
					name:$(this).find('div.nb_leveWebName').text(),
					url:url
				 });
		
		$(this).removeClass('new');
	}
}).delegate('a',click,function(e){
	e.stopPropagation();
});

/**
 *加载IFRAME页面
 */


;function loadPage(data){
	
	var recentlyData={
			id:data.id,
			name:data.name||'未命名'
		};
		//更新最近打开记录
		$HASH['recently']=removeArray($HASH['recently'],recentlyData);
		
		$HASH['recently'].unshift(recentlyData);
		
		if($HASH['recently'].length>historyMax){
			$HASH['recently'].pop();
		};
		
		storage.set('recently_'+$HASH['site']['id'],$HASH['recently']);
		
		tryCloseSide(function(){
			createFrame(data.url,data.name,'page',data.id);
		});
	
};

/**
 *清除最近打开的页面
 */
;function removeRecently(){
	storage.remove('recently_'+$HASH['site']['id']);
};

/**
 *设置基本网页html
 */

;function setCustomPage(data){
	var html='';
	$.each(data,function(i,type){
		html+='<dl class="nb_leveSetList" data-id="'+type.categoryId+'" >';
		html+='<dt '+(data.length>1?'class="on"':'')+'>'+type.name+'</dt>';
		html+='<dd class="nb_leveSetList" '+(data.length>1?'style="display:none;"':'')+'><ul>';
		$.each(type.items,function(i,item){
			html+='<li data-id="'+item.id+'" data-pageviewid="'+(item.pageViewId||item.id)+'">'+
					'<span class="nb_leveIcon '+(item.homePage?'active':'')+'" role="setHomepage" ><i class="xzicon-home"  title="'+(item.homePage?'首页':'设为首页')+'" data-tips="3_t"></i></span>'+
					'<div class="nb_leveWebName">'+item.name+'</div>'+
					getPageBtn(item.pageViewId||item.id)+
			   '</li>';				 
		}); 
		html+='</ul></dd></dl>'; 
	});
	
	return html;
};

/**
 *设置app网页html
 */

;function setAppPage(data){
	var html='';
	
	$.each(data,function(i,item){
			html+='<dl class="nb_leveAppList" data-id="'+item.id+'" >';
			html+='<dt class="on">'+item.name+'</dt>';
			html+='<dd class="nb_leveSetList" style="display:none;"><ul>';
			if(item.items&&item.items.length){
				$.each(item.items,function(i,appItem){
					html+='<li data-id="'+appItem.id+'" data-pageviewid="'+(item.pageViewId||appItem.id)+'" '+(appItem.set?'class="set"':'')+'><div class="nb_leveWebName">'+appItem.name+'</div>'+
							 '<span class="nb_leveTool">'+
							 getPageBtn(item.pageViewId||appItem.id,'app')+
							(appItem.set?'<i title="恢复为默认设置" data-tips="3_t" class="xzicon-delete" role="clearAppPage"></i>':'')+
						  '</li>';
				});
			};
			html+='</ul></dd></dl>';		 
		});  
		
	return html;
};



/**
 *重设应用网页
 */

;function getAppPage(){
	if(!$('#appPage').children().length)return;
	rpcJSON('/site/getAppPage',{},function(data){
		   $('#appPage').html(setAppPage(data));
	  },function(){
		  $('#appPage').html(getEmptyContent());
	  });
};

/**
 *获取网站可用组件及应用
 */
 
;function getSiteModule(callBack,errorBack){
	
	rpcJSON('/site/getSiteModule',{},function(backData){
		$HASH['site']['siteModule']=backData;
		
		fireHandler(callBack);
	},errorBack);
	
	/*return;
	$.get(ajaxURL,{action:'getSiteModule'},function(backData){
		$HASH['siteModule']=backData;
		fireHandler(callBack);
	});*/
};




function resizeContainer(){
	if(!phoneFrame){
		$('div.navSon',side).each(function(){
			var mt=($(this).outerHeight()+$(this).parents('li.navItem:first').offset().top+20)-$(window).height();
			//tests(mt);
			if(mt<0){
				mt=0;
			};
			
			$(this).css('margin-top',-mt);
		});
	}
};


$(window).resize(resizeContainer);	
resizeContainer();

/**
 *处理左侧菜单事件
 */
 
$('#openSite').on(click,function(){
	rpcJSON('/my/getSiteList',{
		parms:'id,name,second_domain,custom_domain,status,pic'
	},function(backData){
		
		var html='<div>';
		
		html+='<div class="openSiteBox"><p class="title">我创建的响站</p><ul class="openSiteList">';
		
		if(backData.myList.create&&backData.myList.create.length){
			
			$.each(backData.myList.create,function(i,item){
				html+='<li><a class="item clearfix" href="javascript:;" data-id="'+item.id+'" role="openSite"><span class="picBox"><img data-crop="1" data-radius="1" data-src="'+ item.pic +'"></span><span class="textBox">'+item.name+'</span></a></li>';
			});
		}else{
			html+='<li>还没有创建响站，<a class="tc_5" href="javascript:;" role="createSite">免费创建</a></li>';
		};
		
		html+='</ul></div>';
		
		if(backData.myList.manage&&backData.myList.manage.length){
			html+='<div class="openSiteBox"><p class="title">我管理的响站</p><ul class="openSiteList">';
			$.each(backData.myList.manage,function(i,item){
				html+='<li><a class="item clearfix" href="javascript:;" data-id="'+item.id+'" role="openSite"><span class="picBox"><img data-crop="1" data-radius="1" data-src="'+ item.pic +'"></span><span class="textBox">'+item.name+'</span></a></li>';
			});
			html+='</ul></div>';
		};
		
		html+='</div>';
		
	
		var el=$(html),
			dialog=CancelDialog(el);
			
		$('img',el).setThumbImageView();
		el.delegate('a[role="openSite"]',click,function(){
			var id=$(this).data('id'),
			    name=$(this).text();
			dialog.close(function(){
				tryCloseSide(function(){
					openTopSite(id,name);
				});
			});
			
		}).delegate('a[role="createSite"]',click,function(){
			
			dialog.close(function(){
				$('#createSite').trigger(click);
			});
			
		});
	});		
	
});


